version: '3'

services:
  postgres:
    image: postgres:12
    # healthcheck:
    #   test: ['CMD', 'pg_isready', '-q', '-d', 'postgres', '-U', 'root']
    #   timeout: 45s
    #   interval: 10s
    #   retries: 10
    restart: always
    environment:
      - POSTGRES_DB=drlz
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD=passworddho
      - POSTGRES_HOST_AUTH_METHOD=trust
      # - APP_DB_USER=admin
      # - APP_DB_PASS=adminadmin
      # - APP_DB_NAME=drlz
    volumes:
      - ./data/db:/var/lib/postgresql/data
    networks:
      - app-network
    ports:
      - 5002:5432

  prisma:
    env_file:
      - .env
    depends_on:
      - postgres
    build: ./
    restart: always
    ports:
      - 5001:3001
    networks:
      - app-network

  keystone:
    env_file:
      - .env
    depends_on:
      - prisma
    build: ../keystone/.
    restart: always
    ports:
      - 5000:3000
    networks:
      - app-network

networks:
  app-network:
    driver: bridge
